Package: org.codehaus.groovy.control.customizers.builder

## [Groovy] Class CompilerCustomizationBuilder

- org.codehaus.groovy.control.customizers.builder.CompilerCustomizationBuilder

- A builder which allows easy configuration of compilation customizers. Instead of creating various compilation customizers by hand, you may use this builder instead, which provides a shorter syntax and removes most of the verbosity.

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class FactoryBuilderSupport` | `CURRENT_FACTORY, PARENT_FACTORY, PARENT_NODE, CURRENT_NODE, PARENT_CONTEXT, PARENT_NAME, CURRENT_NAME, OWNER, PARENT_BUILDER, CURRENT_BUILDER, CHILD_BUILDER, SCRIPT_CLASS_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `CompilerCustomizationBuilder ()`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `protected Object` | `postNodeCompletion(Object parent, Object node)`
    `static CompilerConfiguration` | `withConfig(CompilerConfiguration config, Closure code)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class FactoryBuilderSupport` | `getVariables, getVariable, setVariable, getCurrent, registerFactory, registerFactory, getParentName, autoRegisterNodes, getFactories, getExplicitMethods, getExplicitProperties, getLocalFactories, getLocalExplicitMethods, getLocalExplicitProperties, getRegistrationGroups, withBuilder, withBuilder, withBuilder, addDisposalClosure, addPostNodeCompletionDelegate, getNameMappingClosure, setNameMappingClosure, registerExplicitMethod, registerExplicitMethod, checkValueIsNull, checkValueIsType, checkValueIsTypeNotString, registerBeanFactory, registerBeanFactory, getRegistrationGroupItems, getAttributeDelegates, getPreInstantiateDelegates, getPostInstantiateDelegates, getPostNodeCompletionDelegates, getContextAttribute, getCurrentFactory, getCurrentName, getCurrentBuilder, getParentFactory, getParentContext, getChildBuilder, addAttributeDelegate, removeAttributeDelegate, addPreInstantiateDelegate, removePreInstantiateDelegate, addPostInstantiateDelegate, removePostInstantiateDelegate, removePostNodeCompletionDelegate, registerExplicitProperty, registerExplicitProperty, setPropertyMissingDelegate, getMethodMissingDelegate, getDisposalClosures, setMethodMissingDelegate, getPropertyMissingDelegate, getParentNode, build, build, build, dispose, invokeMethod, invokeMethod, setProperty, getProperty, getName, getContext, hasVariable, setMetaClass, getMetaClass, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`
    `class Binding` | `getVariables, getVariable, hasVariable, setVariable, setProperty, getProperty, setMetaClass, getMetaClass, invokeMethod, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### CompilerCustomizationBuilder()

  - ### Method Detail

    - #### @Override protected Object postNodeCompletion(Object parent, Object node)

    - #### static CompilerConfiguration withConfig(CompilerConfiguration config, Closure code)